### Type parameters

### Hierarchy

- gmfPermalinkOptions

## Index

### Properties

- crosshairEnabledByDefault
- crosshairStyle
- pointRecenterZoom
- projectionCodes
- useLocalStorage

## Properties

### crosshairEnabledByDefault

crosshairEnabledByDefault: boolean

- Defined in src/options.js:573

Display the crosshair, gets overridden by the `map_crosshair` parameter. Default is `false`.

### crosshairStyle

crosshairStyle: StyleLike

- Defined in src/options.js:571

An alternate style for the crosshair feature added by the permalink service.

### pointRecenterZoom

pointRecenterZoom: number

- Defined in src/options.js:579

Zoom level to use when result is a single point feature. If not set the map is not zoomed to a specific zoom level.

### projectionCodes

projectionCodes: string[]

- Defined in src/options.js:575

EPSG codes (e.g. 'EPSG:3857' or '3857'). The permalink service will accept coordinates in these projections and try to detect which projection the given coordinates are in.

### useLocalStorage

useLocalStorage: boolean

- Defined in src/options.js:578

Store the values in the local storage. Default is `false`.

Generated using TypeDoc